### Method

# GLib IOChannel seek_position

#### Declaration [src]

    GIOStatus
    g_io_channel_seek_position (
      GIOChannel* channel,
      gint64 offset,
      GSeekType type,
      GError** error
    )

#### Description [src]

Replacement for `g_io_channel_seek()` with the new API.

#### Parameters

`offset`

  Type: `gint64`

  The offset in bytes from the position specified by `type`.

`type`

  Type: `GSeekType`

  A `GSeekType`. The type `G_SEEK_CUR` is only allowed in those cases where a call to g_io_channel_set_encoding () is allowed. See the documentation for g_io_channel_set_encoding () for details.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStatus`

The status of the operation.